package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.dormitorysystem.otherbasicdata.app.*;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PersonDormitoryType extends DataBase implements IPersonDormitoryType
{
    public PersonDormitoryType()
    {
        super();
        registerInterface(IPersonDormitoryType.class, this);
    }
    public PersonDormitoryType(Context ctx)
    {
        super(ctx);
        registerInterface(IPersonDormitoryType.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("338E7AA9");
    }
    private PersonDormitoryTypeController getController() throws BOSException
    {
        return (PersonDormitoryTypeController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public PersonDormitoryTypeInfo getPersonDormitoryTypeInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPersonDormitoryTypeInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public PersonDormitoryTypeInfo getPersonDormitoryTypeInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPersonDormitoryTypeInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public PersonDormitoryTypeInfo getPersonDormitoryTypeInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPersonDormitoryTypeInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public PersonDormitoryTypeCollection getPersonDormitoryTypeCollection() throws BOSException
    {
        try {
            return getController().getPersonDormitoryTypeCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public PersonDormitoryTypeCollection getPersonDormitoryTypeCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPersonDormitoryTypeCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public PersonDormitoryTypeCollection getPersonDormitoryTypeCollection(String oql) throws BOSException
    {
        try {
            return getController().getPersonDormitoryTypeCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}